aboutsummaryrefslogtreecommitdiffstats
path: root/main/xfce4-appfinder/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-01-25 16:43:57 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-01-25 16:43:57 +0000
commit9526ee659401dee7160f35cb62ded2779bcbbc99 (patch)
tree812ad73bde9c84dcc02a3acbc5db576369ca314a /main/xfce4-appfinder/APKBUILD
parent05e09c1126a898b6d0af491fef0401bf53e297f8 (diff)
downloadaports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.gz
aports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.bz2
aports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.xz
merged x11 repository into main
ref #255
Diffstat (limited to 'main/xfce4-appfinder/APKBUILD')
-rw-r--r--main/xfce4-appfinder/APKBUILD30
1 files changed, 30 insertions, 0 deletions
diff --git a/main/xfce4-appfinder/APKBUILD b/main/xfce4-appfinder/APKBUILD
new file mode 100644
index 0000000000..6f9f6a19ac
--- /dev/null
+++ b/main/xfce4-appfinder/APKBUILD
@@ -0,0 +1,30 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=xfce4-appfinder
+pkgver=4.6.1
+pkgrel=0
+pkgdesc="Xfce application finder"
+url="http://www.xfce.org/"
+license="GPL-2"
+depends="hicolor-icon-theme"
+makedepends="pkgconfig thunar-dev libxfce4menu-dev intltool gtk+-dev
+ libxfce4util-dev libxfcegui4-dev gettext-dev libiconv-dev
+ startup-notification-dev libsm-dev expat-dev e2fsprogs-dev"
+install="$pkgname.post-install $pkgname.post-upgrade $pkgname.post-deinstall"
+source="http://www.xfce.org/archive/xfce-$pkgver/src/$pkgname-$pkgver.tar.bz2
+ $install"
+
+build ()
+{
+ cd "$srcdir"/$pkgname-$pkgver
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --libexecdir=/usr/lib \
+ --localstatedir=/var \
+ --disable-static || return 1
+ make || return 1
+ make DESTDIR="$pkgdir" install || return 1
+}
+md5sums="a1bc7d88100cfd92714a300be531589b xfce4-appfinder-4.6.1.tar.bz2
+db51db79681eadc47be4932355a77c25 xfce4-appfinder.post-install
+db51db79681eadc47be4932355a77c25 xfce4-appfinder.post-upgrade
+db51db79681eadc47be4932355a77c25 xfce4-appfinder.post-deinstall"